<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html>
<head>
<link rel="STYLESHEET" href="mailman-member.css" type='text/css' />
<link rel="first" href="mailman-member.html" title='GNU mailman - list Member Manual' />
<link rel='contents' href='contents.html' title="Contents" />
<link rel='last' href='about.html' title='About this document...' />
<link rel='help' href='about.html' title='About this document...' />
<link rel="prev" href="node9.html" />
<link rel="parent" href="node8.html" />
<link rel="next" href="node11.html" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name='aesop' content='information' />
<title>3.2 The email interface</title>
</head>
<body>
<div class="navigation">
<div id='top-navigation-panel' xml:id='top-navigation-panel'>
<table align="center" width="100%" cellpadding="0" cellspacing="2">
<tr>
<td class='online-navigation'><a rel="prev" title="3.1 the web interface"
  href="node9.html"><img src='previous.png'
  border='0' height='32'  alt='Previous Page' width='32' /></a></td>
<td class='online-navigation'><a rel="parent" title="3 Mailman's interfaces"
  href="node8.html"><img src='up.png'
  border='0' height='32'  alt='Up one Level' width='32' /></a></td>
<td class='online-navigation'><a rel="next" title="4 i need to"
  href="node11.html"><img src='next.png'
  border='0' height='32'  alt='Next Page' width='32' /></a></td>
<td align="center" width="100%">GNU Mailman - List Member Manual</td>
<td class='online-navigation'><a rel="contents" title="Table of Contents"
  href="contents.html"><img src='contents.png'
  border='0' height='32'  alt='Contents' width='32' /></a></td>
<td class='online-navigation'><img src='blank.png'
  border='0' height='32'  alt='' width='32' /></td>
<td class='online-navigation'><img src='blank.png'
  border='0' height='32'  alt='' width='32' /></td>
</tr></table>
<div class='online-navigation'>
<b class="navlabel">Previous:</b>
<a class="sectref" rel="prev" href="node9.html">3.1 The web interface</a>
<b class="navlabel">Up:</b>
<a class="sectref" rel="parent" href="node8.html">3 Mailman's interfaces</a>
<b class="navlabel">Next:</b>
<a class="sectref" rel="next" href="node11.html">4 I need to</a>
</div>
<hr /></div>
</div>
<!--End of Navigation Panel-->

<h2><a name="SECTION002320000000000000000"></a><a name="sec:email"></a>
<br>
3.2 The email interface
</h2>
Every mailing list has a set of email addresses to which messages can be 
sent.  There's always one address for posting messages to the list, one
address to which bounces are sent, and addresses for processing email
commands.  For a fictional mailing list called
<span class="email">mylist@example.com</span>, you'd find these addresses:

<p>

<ul>
<li><span class="email">mylist@example.com</span> - this is the email address people should
      use for new postings to the list.

<p>
</li>
<li><span class="email">mylist-join@example.com</span> - by sending a message to this address,
      a new member can request subscription to the list.  Both the
      <span class="mailheader">Subject:</span> header and body of such a message are
      ignored.  Note that mylist-subscribe@example.com is an alias for
      the -join address.

<p>
</li>
<li><span class="email">mylist-leave@example.com</span> - by sending a message to this address,
      a member can request unsubscription from the list.  As with the
      -join address, the <span class="mailheader">Subject:</span> header and body of the
      message is ignored.  Note that mylist-unsubscribe@example.com is
      an alias for the -leave address.

<p>
</li>
<li><span class="email">mylist-owner@example.com</span> - This address reaches the list owner
      and list moderators directly.  This is the address you use if 
		you need to contact the person or people in charge.

<p>
</li>
<li><span class="email">mylist-request@example.com</span> - This address reaches a mail robot
      which processes email commands that can be used to set member
      subscription options, as well as process other commands.
      A list of members' email commands is provided in 
		Appendix&nbsp;<a href="node41.html#a:commands">A</a>.

<p>
</li>
<li><span class="email">mylist-bounces@example.com</span> - This address receives bounces from
      members whose addresses have become either temporarily or
      permanently inactive.  The -bounces address is also a mail robot
      that processes bounces and automatically disables or removes
      members as configured in the bounce processing settings.  Any
      bounce messages that are either unrecognized, or do not seem to
      contain member addresses, are forwarded to the list
      administrators.

<p>
</li>
<li><span class="email">mylist-confirm@example.com</span> - This address is another email
      robot, which processes confirmation messages for subscription
      and unsubscription requests.
</li>
</ul>

<p>
There's also an -admin address which also reaches the list administrators,
but this address only exists for compatibility with older versions of
Mailman.

<p>
For changing options, we use the <span class="email">LISTNAME-request</span>
address (for example, <span class="email">mylist-request@example.com</span>).

<p>
Commands can appear in the subject line or the body of the message.  Each 
command should be on a separate line.  If your mail program automatically
appends a signature to your messages, you may want to put the word
"<var>end</var>" (without the quotes) on a separate line after your other commands. 
The <var>end</var> command tells Mailman not to process the email after that
point.

<p>
The most important command is probably the "<var>help</var>" command, since it 
makes Mailman return a message full of useful information about the
email commands and directions to the web interface.

<p>
Quick references to the subscriber commands have been provided in 
Appendices <a href="node41.html#a:commands">A</a> and <a href="node42.html#a:options">B</a>. (These have been slightly
adapted from the output of the <var>help</var> command.)

<p>

<div class="navigation">
<div class='online-navigation'>
<p></p><hr />
<table align="center" width="100%" cellpadding="0" cellspacing="2">
<tr>
<td class='online-navigation'><a rel="prev" title="3.1 the web interface"
  href="node9.html"><img src='previous.png'
  border='0' height='32'  alt='Previous Page' width='32' /></a></td>
<td class='online-navigation'><a rel="parent" title="3 Mailman's interfaces"
  href="node8.html"><img src='up.png'
  border='0' height='32'  alt='Up one Level' width='32' /></a></td>
<td class='online-navigation'><a rel="next" title="4 i need to"
  href="node11.html"><img src='next.png'
  border='0' height='32'  alt='Next Page' width='32' /></a></td>
<td align="center" width="100%">GNU Mailman - List Member Manual</td>
<td class='online-navigation'><a rel="contents" title="Table of Contents"
  href="contents.html"><img src='contents.png'
  border='0' height='32'  alt='Contents' width='32' /></a></td>
<td class='online-navigation'><img src='blank.png'
  border='0' height='32'  alt='' width='32' /></td>
<td class='online-navigation'><img src='blank.png'
  border='0' height='32'  alt='' width='32' /></td>
</tr></table>
<div class='online-navigation'>
<b class="navlabel">Previous:</b>
<a class="sectref" rel="prev" href="node9.html">3.1 The web interface</a>
<b class="navlabel">Up:</b>
<a class="sectref" rel="parent" href="node8.html">3 Mailman's interfaces</a>
<b class="navlabel">Next:</b>
<a class="sectref" rel="next" href="node11.html">4 I need to</a>
</div>
</div>
<hr />
<span class="release-info">Release 2.1, documentation updated on August 26, 2016.</span>
</div>
<!--End of Navigation Panel-->

</body>
</html>
